LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;


ENTITY SimpleRegisterN IS 
	GENERIC(
		N  : integer := 32
	);
	PORT(
		clk        :IN  std_logic;
		parLoad    :IN  std_logic;
		parIn      :In  std_logic_vector(N-1 DOWNTO 0);
		parOut     :OUT std_logic_vector(N-1 DOWNTO 0)
		);
END ENTITY SimpleRegisterN;


ARCHITECTURE RTL OF SimpleRegisterN IS
BEGIN
	PROCESS(clk)
	BEGIN
		IF(clk = '1' AND clk'EVENT) THEN
			IF(parLoad = '1')THEN 
				parOut <= parIn;
			END IF;
		END IF;
	END PROCESS;
END RTL;