LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;


ENTITY Multiplexer2to1N IS 
	GENERIC(
		N  : integer := 32
	);
	PORT(
		A       :IN  std_logic_vector(N-1 DOWNTO 0);
		B       :IN  std_logic_vector(N-1 DOWNTO 0);
		sel     :In  std_logic;
		output  :OUT std_logic_vector(N-1 DOWNTO 0)
		);
END ENTITY Multiplexer2to1N;


ARCHITECTURE RTL OF Multiplexer2to1N IS
BEGIN
	output <= A WHEN sel = '0' ELSE
			  B;
END RTL;