LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;


ENTITY ComparatorN IS 
	GENERIC(
		N  : integer := 32
	);
	PORT(
		A       :IN  std_logic_vector(N-1 DOWNTO 0);
		B       :IN  std_logic_vector(N-1 DOWNTO 0);
		result  :OUT std_logic
		);
END ENTITY ComparatorN;


ARCHITECTURE RTL OF ComparatorN IS
BEGIN
	result <= '1' WHEN A >= B ELSE
			  '0';
END RTL;