LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;
USE IEEE.std_logic_unsigned.ALL;


ENTITY SubtractorN IS 
	GENERIC(
		N  : integer := 32
	);
	PORT(
		A       :IN  std_logic_vector(N-1 DOWNTO 0);
		B       :IN  std_logic_vector(N-1 DOWNTO 0);
		result  :OUT std_logic_vector(N-1 DOWNTO 0)
		);
END ENTITY SubtractorN;


ARCHITECTURE RTL OF SubtractorN IS
BEGIN
	PROCESS(A, B)
	BEGIN
		IF(A >= B) THEN
			result <= A - B;
		ELSE
			result <= A;
		END IF;
	END PROCESS;
END RTL;